libglom-1.32: Glom::SystemPrefs Class Reference

libglom-1.32 1.32.0

Public Member Functions | Public Attributes | List of all members
Glom::SystemPrefs Class Reference
Collaboration diagram for Glom::SystemPrefs:
[legend]

## Public Member Functions
| SystemPrefs ()
| SystemPrefs (const SystemPrefs& src)=default
| SystemPrefs (SystemPrefs&& src)=default
SystemPrefs& | operator= (const SystemPrefs& src)=default
SystemPrefs& | operator= (SystemPrefs&& src)=default
bool | operator== (const SystemPrefs& src) const
bool | operator!= (const SystemPrefs& src) const

## Public Attributes
Glib::ustring | m_name
Glib::ustring | m_org_name
Glib::ustring | m_org_address_street
Glib::ustring | m_org_address_street2
Glib::ustring | m_org_address_town
Glib::ustring | m_org_address_county
Glib::ustring | m_org_address_country
Glib::ustring | m_org_address_postcode
Gnome::Gda::Value | m_org_logo

## Constructor & Destructor Documentation

## ◆ SystemPrefs() [1/3]

Glom::SystemPrefs::SystemPrefs | ( |  | ) |

## ◆ SystemPrefs() [2/3]

Glom::SystemPrefs::SystemPrefs | ( | const SystemPrefs& | src | ) |
| default

## ◆ SystemPrefs() [3/3]

Glom::SystemPrefs::SystemPrefs | ( | SystemPrefs&& | src | ) |
| default

## Member Function Documentation

## ◆ operator!=()

bool Glom::SystemPrefs::operator!= | ( | const SystemPrefs& | src | ) | const

## ◆ operator=() [1/2]

SystemPrefs& Glom::SystemPrefs::operator= | ( | const SystemPrefs& | src | ) |
| default

## ◆ operator=() [2/2]

SystemPrefs& Glom::SystemPrefs::operator= | ( | SystemPrefs&& | src | ) |
| default

## ◆ operator==()

bool Glom::SystemPrefs::operator== | ( | const SystemPrefs& | src | ) | const

## Member Data Documentation

## ◆ m_name

Glib::ustring Glom::SystemPrefs::m_name

## ◆ m_org_address_country

Glib::ustring Glom::SystemPrefs::m_org_address_country

## ◆ m_org_address_county

Glib::ustring Glom::SystemPrefs::m_org_address_county

## ◆ m_org_address_postcode

Glib::ustring Glom::SystemPrefs::m_org_address_postcode

## ◆ m_org_address_street

Glib::ustring Glom::SystemPrefs::m_org_address_street

## ◆ m_org_address_street2

Glib::ustring Glom::SystemPrefs::m_org_address_street2

## ◆ m_org_address_town

Glib::ustring Glom::SystemPrefs::m_org_address_town

## ◆ m_org_logo

Gnome::Gda::Value Glom::SystemPrefs::m_org_logo

## ◆ m_org_name

Glib::ustring Glom::SystemPrefs::m_org_name

The documentation for this class was generated from the following file:

- libglom/data_structure/system_prefs.h